package com.goafanti.common.model;

import java.util.Date;

public class PatentRegistration {
    private String id;

    private String pid;

    /**
    * 受理通知书收到时间
    */
    private Date acceptanceReceiveTime;

    /**
    * 受理通知书发出时间
    */
    private Date acceptanceIssueTime;

    /**
    * 受理通知书发出快递单号
    */
    private String acceptanceTrackingNumber;

    /**
    * 受理通知书快递公司
    */
    private String acceptanceExpressCompany;

    /**
    * 授权通知书收到时间
    */
    private Date authorizationReceiveTime;

    /**
    * 授权通知书发出时间
    */
    private Date authorizationIssueTime;

    /**
    * 授权通知书快递单号
    */
    private String authorizationTrackingNumber;

    /**
    * 授权通知书快递公司
    */
    private String authorizationExpressCompany;

    /**
    * 专利证书收到时间
    */
    private Date certificateRecieveTime;

    /**
    * 专利证书发出时间
    */
    private Date certificateIssueTime;

    /**
    * 专利证书快递单号
    */
    private String certificateTrackingNumber;

    /**
    * 专利证书快递公司
    */
    private String certificateExpressCompany;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getPid() {
        return pid;
    }

    public void setPid(String pid) {
        this.pid = pid;
    }

    public Date getAcceptanceReceiveTime() {
        return acceptanceReceiveTime;
    }

    public void setAcceptanceReceiveTime(Date acceptanceReceiveTime) {
        this.acceptanceReceiveTime = acceptanceReceiveTime;
    }

    public Date getAcceptanceIssueTime() {
        return acceptanceIssueTime;
    }

    public void setAcceptanceIssueTime(Date acceptanceIssueTime) {
        this.acceptanceIssueTime = acceptanceIssueTime;
    }

    public String getAcceptanceTrackingNumber() {
        return acceptanceTrackingNumber;
    }

    public void setAcceptanceTrackingNumber(String acceptanceTrackingNumber) {
        this.acceptanceTrackingNumber = acceptanceTrackingNumber;
    }

    public String getAcceptanceExpressCompany() {
        return acceptanceExpressCompany;
    }

    public void setAcceptanceExpressCompany(String acceptanceExpressCompany) {
        this.acceptanceExpressCompany = acceptanceExpressCompany;
    }

    public Date getAuthorizationReceiveTime() {
        return authorizationReceiveTime;
    }

    public void setAuthorizationReceiveTime(Date authorizationReceiveTime) {
        this.authorizationReceiveTime = authorizationReceiveTime;
    }

    public Date getAuthorizationIssueTime() {
        return authorizationIssueTime;
    }

    public void setAuthorizationIssueTime(Date authorizationIssueTime) {
        this.authorizationIssueTime = authorizationIssueTime;
    }

    public String getAuthorizationTrackingNumber() {
        return authorizationTrackingNumber;
    }

    public void setAuthorizationTrackingNumber(String authorizationTrackingNumber) {
        this.authorizationTrackingNumber = authorizationTrackingNumber;
    }

    public String getAuthorizationExpressCompany() {
        return authorizationExpressCompany;
    }

    public void setAuthorizationExpressCompany(String authorizationExpressCompany) {
        this.authorizationExpressCompany = authorizationExpressCompany;
    }

    public Date getCertificateRecieveTime() {
        return certificateRecieveTime;
    }

    public void setCertificateRecieveTime(Date certificateRecieveTime) {
        this.certificateRecieveTime = certificateRecieveTime;
    }

    public Date getCertificateIssueTime() {
        return certificateIssueTime;
    }

    public void setCertificateIssueTime(Date certificateIssueTime) {
        this.certificateIssueTime = certificateIssueTime;
    }

    public String getCertificateTrackingNumber() {
        return certificateTrackingNumber;
    }

    public void setCertificateTrackingNumber(String certificateTrackingNumber) {
        this.certificateTrackingNumber = certificateTrackingNumber;
    }

    public String getCertificateExpressCompany() {
        return certificateExpressCompany;
    }

    public void setCertificateExpressCompany(String certificateExpressCompany) {
        this.certificateExpressCompany = certificateExpressCompany;
    }
}